% RLBOX -- A collection of routines to make pole-zero plots, and to calculate 
%	   and plot root loci. Written by Kjell Gustafsson, but in many cases 
%	   originating from Mats Lilja and Per Persson.
%
% Pole-zero plots
%
%   PZPL     - pole-zero plot
%   PZSH     - add to a previous pole-zero plot
%   PZGRID   - make grid in pole-zero plot
%   MARK     - general routine for plotting and indexing markings
%
% Root loci
%
%   RLOC1       - plot full root locus including start and end points
%   RLOC2       - plot root locus around a nominal point
%   SYMLOCC     - plot stable part of symmetric LQ locus for continuous system
%   SYMLOCD     - plot stable part of symmetric LQ locus for discrete system
%   ROOTLOC     - calculate root locus
%
%   All the root locus plot routines use ROOTLOC to calculate the root 
%   locus. PZGRID can be used to add grid and/or unit circle to all the 
%   root loci routines.
%
% Miscellaneous
%
%   Try RLDEMO

% Kjell Gustafsson
% LastEditDate : Thu May 30 09:16:20 1991
% Copyright (c) 1990 by Kjell Gustafsson and Department of Automatic Control,
% Lund Institute of Technology, Lund, SWEDEN

